'use strict';

const Token = require('./Token-8c5ba5d9.js');

class ClientIdentifier {
  constructor() { }
  static get value() {
    ClientIdentifier.valueCache = localStorage.getItem("clientIdentifier") || undefined;
    if (!ClientIdentifier.valueCache) {
      ClientIdentifier.valueCache = Token.Identifier.generate(12);
      localStorage.setItem("clientIdentifier", ClientIdentifier.valueCache);
    }
    return ClientIdentifier.valueCache;
  }
}

exports.ClientIdentifier = ClientIdentifier;
